@use '../../theme/mainTheme.scss' as mainTheme;

.registerBox{
    width: 505px;
    max-width: 505px;
    height: 100vh;
    display: flex;
    justify-content: center;
    flex-direction: column;
    margin: 0 auto;

    @media screen and (max-width: 580px) {
        width: 100%;
        max-width: 100%;
        padding: 0px 15px;
    }

    img {
        width: 301px;
        object-fit: cover;
        margin: 0 auto;
        margin-bottom: -30px;
    }

    .registerBox__register  {
        h3 {
            text-align: center;
            margin-top: 5px;
            @media screen and (max-width: 380px) {
                font-size: 1rem;
            }
        }
        span{
            color: #1ed760;
            text-decoration: underline;
            cursor: pointer;
        }
    }

    button{
        text-align: center;
        margin: 0 auto;
        display: block;
        position: relative;
        margin-top: 10px;
    }

    .registerBox__input{
        display: flex;
        padding-bottom: 10px;
        flex-direction: column;

        .registerBox__input__errorMessage {
            color: mainTheme.$text-colorError;
            padding-top: 5px;
        }

        label {
            font-weight: mainTheme.$font-bold;
            padding-bottom: 5px;
        }

        input{
            border-radius: 4px;
            padding: 14px;
            border: 1px solid #cbcbcb;
        }
    }

}